# Rest Connector

{% hint style="info" %}
**API SUBPATH**: eva-transactional-service
{% endhint %}

### Pagination and Listing

{% openapi src="/files/PNy9VY4IK1HYpSnd7pgP" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/pagination" method="get" %}
[eva-transactional-service-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FWUdcH785c6mMpykca9N4%2Feva-transactional-service-4.7.0.yaml?alt=media\&token=45f7f7e0-ecfc-41f7-947b-ef273bac8ce3)
{% endopenapi %}

{% openapi src="/files/PNy9VY4IK1HYpSnd7pgP" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/quicksearch" method="get" %}
[eva-transactional-service-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FWUdcH785c6mMpykca9N4%2Feva-transactional-service-4.7.0.yaml?alt=media\&token=45f7f7e0-ecfc-41f7-947b-ef273bac8ce3)
{% endopenapi %}

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/list

> Returns a list of all existing bot's rest connectors

```json
{"openapi":"3.0.1","info":{"title":"eva-transactional-service API Documentation","version":"4.8.0"},"tags":[{"name":"Rest Connector Controller","description":"Management for creating, listing, finding, updating and deleting Rest Connector"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/list":{"get":{"tags":["Rest Connector Controller"],"summary":"Returns a list of all existing bot's rest connectors","operationId":"list_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionalServiceListDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"TransactionalServiceListDTO":{"type":"object","properties":{"data":{"type":"array","description":"List with of transactional service","items":{"$ref":"#/components/schemas/TransactionalServiceContentListDTO"}}},"description":"DTO response with transactional service list"},"TransactionalServiceContentListDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"},"name":{"type":"string","description":"Name of transactional service"},"content":{"type":"array","description":"Content of transactional service","items":{"$ref":"#/components/schemas/ContentDTO"}},"tags":{"type":"array","description":"Tags of transactional service","items":{"$ref":"#/components/schemas/TagDTO"}}},"description":"DTO response of one transactional service in the list"},"ContentDTO":{"required":["buttonText","buttonType","buttonUrl","cockpitUUID","connectedTo","expressionCode","id","option","urlRedirect"],"type":"object","properties":{"id":{"type":"string","description":"Id of content in the transactional service"},"option":{"type":"string","description":"Option of content in the transactional service"},"expressionCode":{"type":"string","description":"ExpressionCode of content in the transactional service"},"connectedTo":{"type":"string","description":"ConnectedTo of content in the transactional service"},"buttonText":{"type":"string","description":"ButtonText of content in the transactional service"},"buttonType":{"type":"string","description":"ButtonType of content in the transactional service"},"urlRedirect":{"type":"boolean","description":"UrlRedirect of content in the transactional service"},"buttonUrl":{"type":"string","description":"ButtonUrl of content in the transactional service"},"cockpitUUID":{"type":"string","description":"CockpitUUID of content in the transactional service"}},"description":"DTO user to request create or update of contents of transactional service and response with this data"},"TagDTO":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of tag"}},"description":"DTO user to request create or update of tags of transactional service and response with this data"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

### CRUD Operations

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors

> Create a new Rest Connector

```json
{"openapi":"3.0.1","info":{"title":"eva-transactional-service API Documentation","version":"4.8.0"},"tags":[{"name":"Rest Connector Controller","description":"Management for creating, listing, finding, updating and deleting Rest Connector"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors":{"post":{"tags":["Rest Connector Controller"],"summary":"Create a new Rest Connector","operationId":"insert_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestConnectorRequestDTO"}}},"required":true},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionalServiceUUIDDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"RestConnectorRequestDTO":{"required":["authType","body","contentType","name","output","requestType","url"],"type":"object","properties":{"name":{"type":"string","description":"Name of the rest connector"},"description":{"type":"string","description":"Description of the rest connector"},"requestType":{"$ref":"#/components/schemas/RequestTypeEnum"},"url":{"type":"string","description":"Url of the rest connector"},"headers":{"type":"array","description":"Headers of the rest connector","items":{"$ref":"#/components/schemas/HeaderDTO"}},"contentType":{"$ref":"#/components/schemas/ContentTypeEnum"},"authType":{"$ref":"#/components/schemas/AuthTypeEnum"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum"},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"},"body":{"type":"string","description":"Body of the rest connector"},"output":{"type":"string","description":"Expected parsing of output of the rest connector"},"tags":{"type":"array","description":"Tags of the rest connector","items":{"$ref":"#/components/schemas/TagDTO"}}},"description":"A body containing all necessary data to create a new Transactional Service"},"RequestTypeEnum":{"type":"string","description":"The used RequestType","enum":["GET","POST","PUT","DELETE"]},"HeaderDTO":{"required":["header","value"],"type":"object","properties":{"header":{"type":"string","description":"Name of the header of the transactional service"},"value":{"type":"string","description":"Name of the value of header of the transactional service"}},"description":"DTO user to request create or update of headers of transactional service and response with this data"},"ContentTypeEnum":{"type":"string","description":"Content Type of the request","enum":["NONE","JSON","XML","FORM_DATA","URL_ENCODED"]},"AuthTypeEnum":{"type":"string","description":"Enum describing if cell uses an auth method, and which.","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"GrantTypeEnum":{"type":"string","description":"Grant type to be used with oAuth Method","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"TagDTO":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of tag"}},"description":"DTO user to request create or update of tags of transactional service and response with this data"},"TransactionalServiceUUIDDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"UUID of the transactional service"}},"description":"DTO response when create successfully a new transactional service with its uuid"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/{serviceUUID}

> Retrieves a rest connector, by ID.

```json
{"openapi":"3.0.1","info":{"title":"eva-transactional-service API Documentation","version":"4.8.0"},"tags":[{"name":"Rest Connector Controller","description":"Management for creating, listing, finding, updating and deleting Rest Connector"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/{serviceUUID}":{"get":{"tags":["Rest Connector Controller"],"summary":"Retrieves a rest connector, by ID.","operationId":"fetch_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"serviceUUID","in":"path","description":"A valid service Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RestConnectorDataDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"RestConnectorDataDTO":{"required":["authType","body","contentType","name","output","requestType","url"],"type":"object","properties":{"name":{"type":"string","description":"Name of the rest connector"},"description":{"type":"string","description":"Description of the rest connector"},"requestType":{"$ref":"#/components/schemas/RequestTypeEnum"},"url":{"type":"string","description":"Url of the rest connector"},"headers":{"type":"array","description":"Headers of the rest connector","items":{"$ref":"#/components/schemas/HeaderDTO"}},"contentType":{"$ref":"#/components/schemas/ContentTypeEnum"},"authType":{"$ref":"#/components/schemas/AuthTypeEnum"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum"},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"},"body":{"type":"string","description":"Body of the rest connector"},"output":{"type":"string","description":"Expected parsing of output of the rest connector"},"tags":{"type":"array","description":"Tags of the rest connector","items":{"$ref":"#/components/schemas/TagDTO"}},"uuid":{"type":"string","description":"UUID of the transactional service"},"flows":{"type":"array","description":"Flows when the transactional service is used","items":{"$ref":"#/components/schemas/FlowDTO"}},"updatedAt":{"type":"string","description":"Datetime of last transactional service update","format":"date-time"},"updatedBy":{"type":"string","description":"User uuid of last transactional service update"}},"description":"DTO response when fetch successfully a transactional service"},"RequestTypeEnum":{"type":"string","description":"The used RequestType","enum":["GET","POST","PUT","DELETE"]},"HeaderDTO":{"required":["header","value"],"type":"object","properties":{"header":{"type":"string","description":"Name of the header of the transactional service"},"value":{"type":"string","description":"Name of the value of header of the transactional service"}},"description":"DTO user to request create or update of headers of transactional service and response with this data"},"ContentTypeEnum":{"type":"string","description":"Content Type of the request","enum":["NONE","JSON","XML","FORM_DATA","URL_ENCODED"]},"AuthTypeEnum":{"type":"string","description":"Enum describing if cell uses an auth method, and which.","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"GrantTypeEnum":{"type":"string","description":"Grant type to be used with oAuth Method","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"TagDTO":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of tag"}},"description":"DTO user to request create or update of tags of transactional service and response with this data"},"FlowDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"UUID of the flow"},"name":{"type":"string","description":"Name of the flow"}},"description":"DTO with uuid and name of flow"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/{serviceUUID}

> Updates an existing rest connector

```json
{"openapi":"3.0.1","info":{"title":"eva-transactional-service API Documentation","version":"4.8.0"},"tags":[{"name":"Rest Connector Controller","description":"Management for creating, listing, finding, updating and deleting Rest Connector"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/{serviceUUID}":{"put":{"tags":["Rest Connector Controller"],"summary":"Updates an existing rest connector","operationId":"update_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"serviceUUID","in":"path","description":"A valid service Uuid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestConnectorRequestDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionalServiceUpdatedDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"RestConnectorRequestDTO":{"required":["authType","body","contentType","name","output","requestType","url"],"type":"object","properties":{"name":{"type":"string","description":"Name of the rest connector"},"description":{"type":"string","description":"Description of the rest connector"},"requestType":{"$ref":"#/components/schemas/RequestTypeEnum"},"url":{"type":"string","description":"Url of the rest connector"},"headers":{"type":"array","description":"Headers of the rest connector","items":{"$ref":"#/components/schemas/HeaderDTO"}},"contentType":{"$ref":"#/components/schemas/ContentTypeEnum"},"authType":{"$ref":"#/components/schemas/AuthTypeEnum"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum"},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"},"body":{"type":"string","description":"Body of the rest connector"},"output":{"type":"string","description":"Expected parsing of output of the rest connector"},"tags":{"type":"array","description":"Tags of the rest connector","items":{"$ref":"#/components/schemas/TagDTO"}}},"description":"A body containing all necessary data to create a new Transactional Service"},"RequestTypeEnum":{"type":"string","description":"The used RequestType","enum":["GET","POST","PUT","DELETE"]},"HeaderDTO":{"required":["header","value"],"type":"object","properties":{"header":{"type":"string","description":"Name of the header of the transactional service"},"value":{"type":"string","description":"Name of the value of header of the transactional service"}},"description":"DTO user to request create or update of headers of transactional service and response with this data"},"ContentTypeEnum":{"type":"string","description":"Content Type of the request","enum":["NONE","JSON","XML","FORM_DATA","URL_ENCODED"]},"AuthTypeEnum":{"type":"string","description":"Enum describing if cell uses an auth method, and which.","enum":["AUTH_NONE","AUTH_BASIC","AUTH_BEARER","AUTH_OAUTH"]},"GrantTypeEnum":{"type":"string","description":"Grant type to be used with oAuth Method","enum":["CLIENT_CREDENTIALS","PASSWORD","REFRESH_TOKEN"]},"TagDTO":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of tag"}},"description":"DTO user to request create or update of tags of transactional service and response with this data"},"TransactionalServiceUpdatedDTO":{"type":"object","properties":{"message":{"type":"string","description":"Message 'OK'"},"data":{"type":"string","description":"Message 'Service Updated'"}},"description":"DTO response when update successfully transactional service with ok message"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/{serviceUUID}

> Deletes an existing rest connector

```json
{"openapi":"3.0.1","info":{"title":"eva-transactional-service API Documentation","version":"4.8.0"},"tags":[{"name":"Rest Connector Controller","description":"Management for creating, listing, finding, updating and deleting Rest Connector"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/rest-connectors/{serviceUUID}":{"delete":{"tags":["Rest Connector Controller"],"summary":"Deletes an existing rest connector","operationId":"remove_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"serviceUUID","in":"path","description":"A valid service Uuid","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conversational-ai.syntphony.com/user-guide/api-docs/api-guidelines/management-api/instance-api/rest-connector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
